
set echo on
set serveroutput on

set autotrace traceonly statistics
SELECT * FROM all_objects;
SELECT * FROM all_objects;
set autotrace off

exec runstats_pkg.rs_start;

CREATE TABLE all_objects_big_xt
ORGANIZATION EXTERNAL
(
   TYPE ORACLE_DATAPUMP
   DEFAULT DIRECTORY xt_dir
   LOCATION ( 'all_objects_big_xt.dmp' )
)
AS
   SELECT *
   FROM   all_objects
   ,     (SELECT ROWNUM AS r FROM dual CONNECT BY ROWNUM <= 10)
   WHERE  object_name NOT LIKE 'ALL_OBJECTS%XT';

exec runstats_pkg.rs_middle;

CREATE TABLE all_objects_big_compressed_xt
ORGANIZATION EXTERNAL
(
   TYPE ORACLE_DATAPUMP
   DEFAULT DIRECTORY xt_dir
   ACCESS PARAMETERS (COMPRESSION ENABLED)
   LOCATION ( 'all_objects_big_compressed_xt.dmp' )
)
AS
   SELECT *
   FROM   all_objects
   ,     (SELECT ROWNUM AS r FROM dual CONNECT BY ROWNUM <= 10)
   WHERE  object_name NOT LIKE 'ALL_OBJECTS%XT';

BEGIN
   runstats_pkg.rs_stop(
      runstats_pkg.statname_ntt(
         'physical write total bytes',
         'CPU used by this session'));
END;
/
 
host dir /od D:\Oracle\dir\ALL*BIG*.DMP

