
set echo on

CREATE TABLE one_row_xt
ORGANIZATION EXTERNAL
(
   TYPE ORACLE_DATAPUMP
   DEFAULT DIRECTORY xt_dir
   LOCATION ( 'one_row_xt.dmp' )
)
AS
   SELECT CAST('This is some data'      AS VARCHAR2(20)) AS some_data
   ,      CAST('This is some more data' AS VARCHAR2(30)) AS some_more_data
   FROM   dual;

CREATE TABLE one_row_encrypted_xt
ORGANIZATION EXTERNAL
(
   TYPE ORACLE_DATAPUMP
   DEFAULT DIRECTORY xt_dir
   ACCESS PARAMETERS (ENCRYPTION ENABLED)
   LOCATION ( 'one_row_encrypted_xt.dmp' )
)
AS
   SELECT CAST('This is some data'      AS VARCHAR2(20)) AS some_data
   ,      CAST('This is some more data' AS VARCHAR2(30)) AS some_more_data
   FROM   dual;

host dir /od D:\Oracle\dir\one*.dmp

CREATE TABLE flat_xt 
( line RAW(64) )
ORGANIZATION EXTERNAL
( 
   TYPE ORACLE_LOADER
   DEFAULT DIRECTORY xt_dir
   ACCESS PARAMETERS
   ( 
      RECORDS FIXED 64
      READSIZE 64
      FIELDS TERMINATED BY EOF
      ( line RAW(64) )
   )
   LOCATION ('')
);

CREATE VIEW flat_vxt
AS
   SELECT line 
   FROM  (
          SELECT REGEXP_REPLACE(
                    UTL_RAW.CAST_TO_VARCHAR2(line),
                    '[^[:print:]]'
                    ) AS line
          FROM   flat_xt
         )
WHERE line IS NOT NULL;

ALTER TABLE flat_xt LOCATION ('one_row_xt.dmp');
SELECT * FROM flat_vxt;

ALTER TABLE flat_xt LOCATION ('one_row_encrypted_xt.dmp');
SELECT * FROM flat_vxt;
